For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETSearch entity users
        • POSTCreate entity user
        • GETGet entity user
        • POSTUpdate entity user
        • DELDelete entity user
        • POSTGenerate JWT Token
          • GETGet All
          • GETGet
          • PUTUpdate
Logo
Sign inBook a demo
API ReferenceEntityUserNotifications

Update

PUT
https://api.mercoa.com/entity/:entityId/user/:userId/notification/:notificationId
PUT
/entity/:entityId/user/:userId/notification/:notificationId
$curl -X PUT https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/user/user_e24fc81c-c5ee-47e8-af42-4fe29d895506/notification/notif_7df2974a-4069-454c-912f-7e58ebe030fb \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "status": "READ"
>}'
1{
2 "id": "notif_958c4ffb-dc06-494c-a0e0-1b4946c6bb0f",
3 "type": "INVOICE_APPROVED",
4 "status": "READ",
5 "createdAt": "2024-01-01T00:00:00Z",
6 "invoiceId": "in_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9"
7}
Update the status of a notification.
Was this page helpful?
Previous

Get All

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
userIdstringRequired
User ID or User ForeignID
notificationIdstringRequired

Request

This endpoint expects an object.
statusenumOptional
Allowed values:

Response

This endpoint returns an object.
idstring
typeenum
statusenum
Allowed values:
createdAtdatetime
invoiceIdstring
The invoice ID that this notification is related to. This field is only present for notifications related to invoices.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented